org.apache.solr.client.solrj.cloud.autoscaling

## Class NodeVariable

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.VariableBase
  - - org.apache.solr.client.solrj.cloud.autoscaling.NodeVariable

All Implemented Interfaces:
  Variable

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public class NodeVariable
    extends VariableBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`VariableBase.CoreIndexSizeVariable, VariableBase.DiskTypeVariable, VariableBase.LazyVariable, VariableBase.TotalDiskVariable`

### Nested classes/interfaces inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`Variable.Meta, Variable.Type`

### Field Summary

### Fields inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`coreidxsize, NULL`

### Constructor Summary

Constructors
Constructor and Description
`NodeVariable(Variable.Type type)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)` Deprecated.

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`compareViolation, getTagType, postValidate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`addViolatingReplicas, computeDeviation, computeValue, convertVal, getOperand, match, projectAddReplica, projectRemoveReplica`

### Constructor Detail

#### NodeVariable

    public NodeVariable(Variable.Type type)

Deprecated.

### Method Detail

#### getSuggestions

    public void getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)

Deprecated.

Specified by:
  `getSuggestions` in interface `Variable`
Overrides:
  `getSuggestions` in class `VariableBase`